TYPO3.Neos - Task # 10276

Bug # 10733 (Closed): As a backend user, | want a clean visual design for the whole Ul

Status: Closed Priority: Should have
Author: Nils Dehl Category: ul

Created: 2010-10-15 Assigned To: Nils Dehl
Updated: 2011-09-07 Due date: 2010-11-12
Subiject: Create ExtJS Theme for Phoenix

Description

- create a new theme folder

- create theme testsite where we can test all components like -> http://dev.sencha.com/deploy/dev/examples/themes/index.html
define a order for layouting the components

- rewrite xtemplates with lightweight html5 markup where needed

Related issues:
blocked by TYPO3.Neos - Task # 26598: Run the current backend code with ExtJS... Rejected 2011-05-03

History

#1 - 2010-10-16 13:51 - Simon Schaufelberger

Hi Nils,

can we do this together? This would be a great playground for me to learn ExtJS and to get involved into Phoenix.

#2 - 2010-10-16 14:43 - Nils Dehl

Simon Schaufelberger wrote:

Hi Nils,

can we do this together? This would be a great playground for me to learn ExtJS and to get involved into Phoenix.

of course any helping hand is welcome

#3 - 2010-10-16 19:07 - Rens Admiraal
Maybe we should make this some kind of package with all default ExtJS components and all TYPO3 components we are building. If we make it
available within TYPOBS people could possibly also test their own skins, or even add their custom components to this view if they are registered in the

registry or something like that...

If help is needed, let me know... | think this task is quite big, so spreading the work wouldn't be that bad...

#4 - 2010-10-18 10:09 - Nils Dehl
Rens Admiraal wrote:
Maybe we should make this some kind of package with all default ExtJS components and all TYPO3 components we are building. If we make it

available within TYPOGS people could possibly also test their own skins, or even add their custom components to this view if they are registered in

the registry or something like that...
http://dev.sencha.com/deploy/dev/examples/themes/index.html

yes, we have to find a place where we can build something like this
http://dev.sencha.com/deploy/dev/examples/themes/index.html

where we easily can add new components

If help is needed, let me know... | think this task is quite big, so spreading the work wouldn't be that bad...

you're welcome :-)

#5 - 2010-10-19 09:46 - Nils Dehl

I just found out that we can use sass to creat our theme:

http://www.sencha.com/products/js/themes.php

http://rubygems.org/gems/extjs-theme

http://github.com/extjs/extjs-theme - howto

#6 - 2010-10-20 12:22 - Sebastian Kurfuerst
- Target version changed from 707 to 711

#7 - 2010-10-21 10:05 - Sebastian Kurfuerst
- Parent task set to #8797

#8 - 2010-10-27 10:52 - Nils Dehl

- % Done changed from 0 to 10

Added sass extjs theme files to the privat resources folder of the TYPOS package

#9 - 2010-10-27 17:32 - Nils Dehl

Nils Dehl wrote:

Added sass extjs theme files to the privat resources folder of the TYPO3 package

https://review.typo3.org/#change,233

#10 - 2010-11-05 15:18 - Nils Dehl
- Status changed from Accepted to On Hold

#11 - 2010-11-24 12:41 - Robert Lemke
- Parent task changed from #8797 to #11041

#12 - 2010-11-24 13:02 - Robert Lemke
- Status changed from On Hold to New

#13 - 2010-11-24 13:06 - Robert Lemke
- Parent task changed from #11041 to #10733
#14 - 2010-12-20 20:19 - Robert Lemke
- Target version deleted (732)

#15 - 2011-02-01 14:21 - Sebastian Kurfuerst
- Status changed from New to On Hold

#16 - 2011-05-10 08:44 - Sebastian Kurfuerst
- Project changed from Base Distribution to TYPO3.Neos

#17 - 2011-05-10 08:50 - Sebastian Kurfuerst
- Category set to Ul

#18 - 2011-09-07 16:07 - Sebastian Kurfuerst

- Status changed from On Hold to Closed

Closing issue because it is either obsolete in the new FE architecture, or duplicate.
